Redmine - Patch #26157

Render all possible inline textile images
2017-06-13 18:58 - Holger Just

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Text formatting Estimated time: 0.00 hour
Target version: 3.4.0

Description

In r15433, Redmine introduced a security measure to restrict embedding images to only those with valid schemes from Textile.

Now, if there are multiple images referenced on a page, with only one of them invalid, Redmine currently doesn't create <img> tags
for any of them since it would return from the replacement method too soon.

This patch fixes this behavior in that it still allows to embed all valid images and only refuses to embed the invalid ones by skipping
the rest of the current gsub iteration instead of the whole method. The patch was extracted from Planio

Associated revisions

Revision 16668 - 2017-06-17 09:45 - Jean-Philippe Lang

Render all possible inline textile images even if an invalid one exists (#26157).

Patch by Holger Just.

History

#1 - 2017-06-14 05:43 - Go MAEDA
- File 26157-expected.png added

- File 26157-actual.png added

- Target version set to 3.4.0

Confirmed the problem. Setting target version to 3.4.0.

Markup:

'http://www.cs.cmu.edu/~chuck/lennapg/len_std. jpg!

ldata:text/html;base64, iVBORWOKGgoAAAANSUhEUgAAAAGAAAATICAMAAADZOUG65AAAABIBMVEX205r///8SFA07AAAAEK1EQVQI 12Nk /A+
FDFCakSwRAPZFHA3MVemHAAAAAE1FTkSuQmCC!

Expected (with the patch applied):
https://www.redmine.org/projects/redmine/repository/svn/revisions/15433
https://plan.io/redmine-hosting/

Description

ldata:text/html;base64,IVBORwWIKGgoAAAANSUREUgAAAAGAAAATICAMAAADZOUG|

Subtasks

Actual (without the patch):
Description
Ihttp://www.cs.cmu.edu/~chuck/lennapg/len_std.jpg!
Idata:text/html;base64,iVBORwWOIKGgoAAAANSUhEUgAAAAGAAAAICAMAAADZOUG

Subtasks

#2 - 2017-06-17 09:45 - Jean-Philippe Lang
- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Committed, thanks!

Files

0001-Render-all-possible-inline-textile-images.patch 1.24 KB 2017-06-13 Holger Just

26157-expected.png 44.9 KB 2017-06-14 Go MAEDA

26157-actual.png 7.21 KB 2017-06-14 Go MAEDA
